<?php

defined('COT_CODE') or die('Wrong URL');

$out['subtitle'] = (!empty($cfg['market']['cat_' . $c]['metatitle'])) ? $cfg['market']['cat_' . $c]['metatitle'] : $cfg['market']['cat___default']['metatitle'];
$out['subtitle'] = (!empty($out['subtitle'])) ? $out['subtitle'] : $L['market'];
$out['desc'] = (!empty($cfg['market']['cat_' . $c]['metadesc'])) ? $cfg['market']['cat_' . $c]['metadesc'] : $cfg['market']['cat___default']['metadesc'];
$out['keywords'] = (!empty($cfg['market']['cat_' . $c]['keywords'])) ? $cfg['market']['cat_' . $c]['keywords'] : $cfg['market']['cat___default']['keywords'];

$out['canonical_uri'] = cot_url('market', 'm=list&c='.$c);

$t = new XTemplate(cot_tplfile(array('market', 'list_lvl_1')));

$cathints = array(
  'design' => 'Все ваши мечты о дизайне станут реальностью',
  'programming' => 'Эти программисты помогут создать даже новый Фейсбук',
  'writing-translations' => 'Когда непросто подобрать слова',
  'promotion' => 'Пусть о вашем бизнесе узнают новые клиенты',
  'seo' => 'Потому что сайт должен приносить доход',
  'audio-video' => 'Ваш Голливуд в пару щелчков мыши',
  'business' => 'Начало пути в список Форбс',
  'hobbies' => 'Хорошая возможность сделать жизнь комфортнее'
);

$catdata = $structure['market'][$c];
$catdata['hint'] = $cathints[$c];

$chldcats = array();
foreach($structure['market'] as $code => $cat) {
  if($cat['parent'] == $c && $cat['parent'] != $code) {
    $chldcats[] = $cat['id'];
    $t->assign(array(
      'CAT_ROW_ID' => $cat['id'],
      'CAT_ROW_TITLE' => $cat['title'],
      'CAT_ROW_CODE' => $code,
      'CAT_ROW_URL' => cot_url('market', 'c='.$code),
    ));
    $t->parse('MAIN.CATS_ROW');
  }
}

$catdata['chldcats'] = count($chldcats);

$climit = 3; // кол-во выводимых категорий с популярными услугами
$wlimit = 15; // кол-во выводимых услуг по категории
if (!empty($catdata['chldcats']) && is_array($catdata['chldcats']) && count($catdata['chldcats']) > 0) {
    $subcats = $db->query(
        "SELECT * FROM $db_structure WHERE structure_id=" . implode(' OR structure_id=', $catdata['chldcats']) . " ORDER BY structure_count DESC"
    )->fetchAll();

    foreach ($subcats as $subcat) {
        if ($climit > 0) {
            $t->assign(array(
                'PCAT_ROW_ID' => $subcat['structure_id'],
                'PCAT_ROW_TITLE' => $subcat['structure_title'],
                'PCAT_ROW_CODE' => $subcat['structure_code'],
                'PCAT_ROW_URL' => cot_url('market', 'c=' . $subcat['structure_code']),
            ));

            $pitems = $db->query(
                "SELECT * FROM $db_market WHERE item_cat='" . $subcat['structure_code'] . "' AND item_state=0 ORDER BY item_date LIMIT " . $wlimit
            )->fetchAll();

            if (!empty($pitems) && is_array($pitems)) {
                $climit--;
                foreach ($pitems as $item) {
                    $t->assign(cot_generate_usertags($item['item_userid'], 'PRD_ROW_OWNER_'));
                    $t->assign(cot_generate_markettags($item, 'PRD_ROW_', $cfg['market']['shorttextlen'], $usr['isadmin'], $cfg['homebreadcrumb']));
                    $t->parse('MAIN.POPULAR_CATS_ROW.PRD_ROWS');
                }
                $t->parse('MAIN.POPULAR_CATS_ROW');
            }
        }
    }
}


$t->assign('CATDATA', $catdata);

$t->parse('MAIN');
$module_body = $t->text('MAIN');